---
title: BeforeInstallPromptEvent.prompt()
slug: Web/API/BeforeInstallPromptEvent/prompt
tags:
  - API
  - BeforeInstallPromptEvent
  - Experimental
  - Method
  - Reference
  - prompt
---
<div><span class="seoSummary">The <strong><code>prompt()</code></strong> method of the {{domxref("BeforeInstallPromptEvent")}} interface allows a developer to show the install prompt at a time of their own choosing. </span></div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BeforeInstallPromptEvent.prompt()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>An empty {{jsxref("Promise")}}.</p>

<h2 id="Example">Example</h2>

<pre>var isTooSoon = true;
window.addEventListener("beforeinstallprompt", function(e) {
  if (isTooSoon) {
    e.preventDefault(); // Prevents prompt display
    // Prompt later instead:
    setTimeout(function() {
      isTooSoon = false;
      e.prompt(); // Throws if called more than once or default not prevented
    }, 10000);
  }

  // The event was re-dispatched in response to our request
  // ...
});</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BeforeInstallPromptEvent.prompt")}}</p>
